# QwtCompassRose Class Reference

Abstract base class for a compass rose. More...

`#include <qwt_compass_rose.h>`

Inheritance diagram for QwtCompassRose:
[legend]

List of all members.

## Public Member Functions

virtual void | draw (QPainter *painter, const QPointF &center, double radius, double north, QPalette::ColorGroup colorGroup=QPalette::Active) const =0
const QPalette & | palette () const
virtual void | setPalette (const QPalette &p)
virtual | ~QwtCompassRose ()

## Detailed Description

Abstract base class for a compass rose.

## Constructor & Destructor Documentation

virtual QwtCompassRose::~QwtCompassRose | ( |  | ) | `[inline, virtual]`

Destructor.

## Member Function Documentation

virtual void QwtCompassRose::draw | ( | QPainter * | painter,
|  | const QPointF & | center,
|  | double | radius,
|  | double | north,
|  | QPalette::ColorGroup | colorGroup = `QPalette::Active`
| ) |  | const`[pure virtual]`

Draw the rose

Parameters:

  painter | Painter
  center | Center point
  radius | Radius of the rose
  north | Position
  colorGroup | Color group

Implemented in QwtSimpleCompassRose.

const QPalette& QwtCompassRose::palette | ( |  | ) | const`[inline]`

Returns:
  Current palette

virtual void QwtCompassRose::setPalette | ( | const QPalette & | p | ) | `[inline, virtual]`

Assign a palette.